
// 		*****************************************************************************
// 		*														  	AF LIBRARY					  								  		*
// 		*													Written By Ali Fallah												  		*
// 		*											95/11/21 = Thursday, February 9, 2017									*
// 		*****************************************************************************

#ifndef _LCD_CH_H
#define _LCD_CH_H


#define F_CPU   100000000 // CPU clck
#define clcd_minDelay()   cwait(F_CPU/70000)
#define clcd_Delay()   cwait(F_CPU/7000)
#define clcd_maxDelay()   cwait(F_CPU/12)



class AF_CH_LCD{
	protected:
	void DisplayOn(void);
	void DisplayOff(void);
	void setD4567(char val);
	void cwait (volatile int t);
	void Command(char cmd);
	void ClearLine(char y);
	void DefineChar(const char *pc,char char_code);
	
	
	public:
	void PutChar(char ch);
  void Init(void);
	void Gotoxy(char x, char y);
	void Clear(void);
	void Puts (int num);
	void Print (char* data);
	void CursorOn(void);
	void CursorOff(void);
	void CursorBlinkOn(void);
	void CursorBlinkOff(void);
	void RightToLeft (char n);
	void LeftToRight (char n);
	void Home (void);
	AF_CH_LCD (void)
	{
		Init();
	}

};


#endif //_LCD_CH_H
